PluginSift
PluginsThemesCompare
Directory
  • Plugins
  • Themes
  • Compare Plugins
Plugin Comparisons
  • SEO
  • Security
  • Ecommerce
  • Page Builders
  • Caching
  • Backup
  • Forms
  • Analytics
Resources
  • About
  • Contact
  • llms.txt

© 2026 PluginSift. Data sourced from WordPress.org. · [email protected]

  1. Home
  2. Plugins
  3. API
  4. WordPress REST API (Version 2)
WordPress REST API (Version 2) icon

WordPress REST API (Version 2)

Access your site's data through an easy-to-use HTTP REST API. (Version 2)

By Ryan McCue·API·Free
4.2(34 reviews)
·10K+ active installs·Updated 8 years ago
DownloadVisit HomepageCompare

As of April 2026, WordPress REST API (Version 2) is a WordPress api plugin with 10K+ active installations and a 4.2/5 rating from 34 reviews. It has been downloaded 534K+ times in total. Requires WordPress 4.6+ and PHP false+. Available on WordPress.org since 2009. Last updated 8 years ago — may have compatibility concerns. Downloads are down 24% this week. Top alternative: WP Consent API.

4.2/534 reviews
10K+active installs
534K+total downloads
17 yearssince 2009

Overview

WordPress is moving towards becoming a fully-fledged application framework, and we need new APIs. This project was born to create an easy-to-use, easy-to-understand and well-tested framework for creating these APIs, plus creating APIs for core.

This plugin provides an easy to use REST API, available via HTTP. Grab your site’s data in simple JSON format, including users, posts, taxonomies and more. Retrieving or updating data is as simple as sending a HTTP request.

Want to get your site’s posts? Simply send a GET request to /wp-json/wp/v2/posts. Update user with ID 4? Send a PUT request to /wp-json/wp/v2/users/4. Get all posts with the search term “awesome”? GET /wp-json/wp/v2/posts?filter[s]=awesome. It’s that easy.

The WordPress REST API exposes a simple yet…

Read full description on WordPress.org

Ratings & Reviews

4.234 reviews
5 ★
26
4 ★
0
3 ★
3
2 ★
0
1 ★
5

Recent Reviews

TOTAL IGNORANCE TO USERS
by tazotodua·7 years ago

As we stated, this plugin was way long abandonded, and integrated in WP, and even after request
https://wordpress.org/support/topic/why-there-is-no-clear-indication-that-it-is-no-longer-used/

the developers didnt put any clear notice about this fact, and wasting users times till we find out that fact.

PHP 7.2 compatibility errors on rest-api
by sachintonte·7 years ago

Can you please confirm/deny the PHP 7.2 compatibility? I’m receiving this error report on a PHP 7.2 compatibility test:

FILE: /nas/content/live/devreplicon1/wp-content/plugins/rest-api/lib/endpoints/class-wp-rest-posts-controller.php
—————————————————————————————————————–
FOUND 2 ERRORS AFFECTING 2 LINES
—————————————————————————————————————–
773 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
782 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
—————————————————————————————————————–

FILE: /nas/content/live/devreplicon1/wp-content/plugins/rest-api/lib/endpoints/class-wp-rest-revisions-controller.php
———————————————————————————————————————
FOUND 2 ERRORS AFFECTING 2 LINES
———————————————————————————————————————
285 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
288 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
———————————————————————————————————————

FILE: /nas/content/live/devreplicon1/wp-content/plugins/rest-api/lib/endpoints/class-wp-rest-comments-controller.php
——————————————————————————————————————–
FOUND 2 ERRORS AFFECTING 2 LINES
——————————————————————————————————————–
588 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
589 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
——————————————————————————————————————–

FILE: /nas/content/live/devreplicon1/wp-content/plugins/rest-api/extras.php
————————————————————————————————————
FOUND 1 ERROR AFFECTING 1 LINE
————————————————————————————————————
150 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
————————————————————————————————————

Bug
by SuperBomd·7 years ago

Call to undefined function get_registered_meta_keys() in wp-content\plugins\rest-api\lib\fields\class-wp-rest-meta-fields.php on line 244

Muitas possibilidades
by raphaelnikson·8 years ago

Obrigado.. agora eu tenho muitas possibilidades em meus projetos com app mobile

Not able to create user
by gauravbittu278·9 years ago

Hello,

I am not able to create user.It always give error like below:

{
  "code": "rest_cannot_create_user",
  "message": "Sorry, you are not allowed to create new users.",
  "data": {
    "status": 401
  }
}
  • This topic was modified 9 years, 2 months ago by gauravbittu278.

Download Trends

Today: 16Yesterday: 22This week: 114Period total: 11K

Compatibility

WordPress4.6+ requiredTested up to 4.7.33
PHPfalse+ required

Version Adoption

v2.0-beta15
96.6%
Other
3.4%

Top Alternatives to WordPress REST API (Version 2)

WP Consent API icon
WP Consent API
5200K+ installsUpdated 3 weeks ago
ViewCompare
Disable REST API icon
Disable REST API
4.890K+ installsUpdated 2 years ago
ViewCompare
Mailgun for WordPress icon
Mailgun for WordPress
3.880K+ installsUpdated 2 months ago
ViewCompare
Make Connector icon
Make Connector
2.780K+ installsUpdated 1 month ago
ViewCompare
Disable WP REST API icon
Disable WP REST API
4.830K+ installsUpdated 1 week ago
ViewCompare
View all api plugins →

Frequently Asked Questions

Changelog

2.0 Beta 15.0 (October 07, 2016)

  • Introduce support for Post Meta, Term Meta, User Meta, and Comment Meta in
    their parent endpoints.

    For your meta fields to be exposed in the REST API, you need to register
    them. WordPress includes a register_meta() function which is not usually
    required to get/set fields, but is required for API support.

    To register your field, simply call register_meta and set the show_in_rest
    flag to true. Note: register_meta must be called separately for each meta
    key.

    (props @rmccue, @danielbachhuber, @kjbenk, @duncanjbrown, #2765)

  • Introduce Settings endpoint.

    Expose options to the REST API with the register_setting() function, by
    passing $args = array( 'show_in_rest' => true ). Note: WordPress 4.7 is
    required. See changeset [38635][https://core.trac.wordpress.org/changeset/38635].

    (props @joehoyle, @fjarrett, @danielbachhuber, @jonathanbardo,
    @greatislander, #2739)

  • Attachments controller, change permissions check to match core.

    Check for the upload_files capability when creating an attachment.

    (props @nullvariable, @adamsilverstein, #2743)

  • Add ?{taxonomy}_exclude= query parameter

    This mirrors our existing support for ?{taxonomy}= filtering in the posts
    controller (which allows querying for only records with are associated with
    any of the provided term IDs for the specified taxonomy) by adding an
    equivalent _exclude variant to list IDs of terms for which associated posts
    should NOT be returned.

    (props @kadamwhite, #2756)

  • Use get_comment_type() when comparing updating comment status.

    Comments having a empty comment_type within WordPress bites us again.
    Fixes a bug where comments could not be updated because of bad comparison
    logic.

    (props @joehoyle, #2753)

View full changelog on WordPress.org

Contributors

Ryan McCueRyan McCueJoe HoyleJoe HoyleRachel BakerRachel BakerDaniel BachhuberDaniel Bachhuber
Plugin Info
Version
2.0-beta15
Last Updated
Nov 28, 2017
WP Requires
4.6+
Tested Up To
4.7.33
PHP Requires
false+
Active Installs
10K+
Downloads
534K+
Added
Apr 25, 2009
Business
Free

Tags

apijsonrestrest-api

Developer

R
Ryan McCue
4 plugins0.0M+ total installs
View all plugins →

Quick Compare

WordPress REST API (Version 2) vs WP Consent API→WordPress REST API (Version 2) vs Disable REST API→WordPress REST API (Version 2) vs Mailgun for WordPress→

Plugin data sourced from WordPress.org. Analysis and metrics by PluginSift.